Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 18807 - Ebuild for daphne emulator
Summary: Ebuild for daphne emulator
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: x86 Linux
: High enhancement (vote)
Assignee: Gentoo Games
URL:
Whiteboard:
Keywords: EBUILD
Depends on:
Blocks:
 
Reported: 2003-04-05 11:51 UTC by Andrea Cerrito
Modified: 2004-08-20 21:29 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
Ebuild (daphne-0.99.5.ebuild,1.59 KB, text/plain)
2003-04-05 11:51 UTC, Andrea Cerrito
Details
Digest. (digest-daphne-0.99.5,66 bytes, text/plain)
2003-04-05 11:52 UTC, Andrea Cerrito
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andrea Cerrito 2003-04-05 11:51:04 UTC
I've made a new ebuild for the daphne emulator (http://www.daphne-emu.com).
This is my first ebuild, so ... be patient :)
Anyway, it work on my machine.
Comment 1 Andrea Cerrito 2003-04-05 11:51:53 UTC
Created attachment 10227 [details]
Ebuild

This is the ebuild.
Comment 2 Andrea Cerrito 2003-04-05 11:52:14 UTC
Created attachment 10228 [details]
Digest.

This is the digest.
Comment 3 SpanKY gentoo-dev 2003-07-15 18:35:45 UTC
0.99.6 is now in portage ... i heavily modified your ebuild to make it Gentoo 
happy ... please try it out and tell me how it goes :) 
Comment 4 Andrea Cerrito 2003-07-23 14:24:55 UTC
Not so well... 
g++ -O3 -march=pentium3 -mfpmath=sse -O2 -pipe -fomit-frame-pointer -mmmx -msse 
-falign-functions=4 -fforce-addr -DX86_ASM -DGCC_X86_ASM -fomit-frame-pointer 
-fexpensive-optimizations -funroll-loops `sdl-config --cflags` -DUNIX -DLINUX -DNATIVE_CPU_X86 
-DMMX_RGB2YUV -Wall -Winline -c nes_6502.cpp -o nes_6502.o 
nes_6502.cpp:47: warning: initialization of negative value `-1' to `uint32' 
nes_6502.cpp:47: warning: argument of negative value `-1' to `unsigned int' 
nes_6502.cpp:47: warning: initialization of negative value `-1' to `uint32' 
nes_6502.cpp:47: warning: argument of negative value `-1' to `unsigned int' 
nes_6502.cpp:53: warning: initialization of negative value `-1' to `uint32' 
nes_6502.cpp:53: warning: argument of negative value `-1' to `unsigned int' 
nes_6502.cpp:53: warning: initialization of negative value `-1' to `uint32' 
nes_6502.cpp:53: warning: argument of negative value `-1' to `unsigned int' 
g++ -O3 -march=pentium3 -mfpmath=sse -O2 -pipe -fomit-frame-pointer -mmmx -msse 
-falign-functions=4 -fforce-addr -DX86_ASM -DGCC_X86_ASM -fomit-frame-pointer 
-fexpensive-optimizations -funroll-loops `sdl-config --cflags` -DUNIX -DLINUX -DNATIVE_CPU_X86 
-DMMX_RGB2YUV -Wall -Winline -c cop.cpp -o cop.o 
g++ -O3 -march=pentium3 -mfpmath=sse -O2 -pipe -fomit-frame-pointer -mmmx -msse 
-falign-functions=4 -fforce-addr -DX86_ASM -DGCC_X86_ASM -fomit-frame-pointer 
-fexpensive-optimizations -funroll-loops `sdl-config --cflags` -DUNIX -DLINUX -DNATIVE_CPU_X86 
-DMMX_RGB2YUV -Wall -Winline -c copintf.cpp -o copintf.o 
{standard input}: Assembler messages: 
{standard input}:12890: Error: bad register name `%sil' 
{standard input}:18980: Error: bad register name `%sil' 
{standard input}:19022: Error: bad register name `%sil' 
{standard input}:27370: Error: bad register name `%sil' 
{standard input}:32975: Error: bad register name `%sil' 
make[1]: *** [m80.o] Error 1 
make[1]: Leaving directory `/home/portage/daphne-0.99.6/work/daphne/src/cpu' 
make: *** [sub] Error 2 
 
!!! ERROR: app-emulation/daphne-0.99.6 failed. 
!!! Function src_compile, Line 41, Exitcode 2 
!!! src build failed 
 
Comment 5 Mr. Bones. (RETIRED) gentoo-dev 2003-07-23 14:38:28 UTC
what?  no posting of emerge info?
Comment 6 Andrea Cerrito 2003-07-23 14:41:03 UTC
Here it is.

cerrito root # emerge info
Portage 2.0.48-r5 (default-x86-1.4, gcc-3.2.3, glibc-2.3.2-r1)
=================================================================
System uname: 2.4.21 i686 Intel(R) Pentium(R) III Mobile CPU      1200MHz
GENTOO_MIRRORS="http://mi.mirror.garr.it/mirrors/gentoo http://212.219.56.162/sites/www.ibiblio.org/gentoo/ http://194.83.57.2/sites/www.ibiblio.org/gentoo/ http://194.83.57.3/sites/www.ibiblio.org/gentoo/ http://ftp.snt.utwente.nl/pub/os/linux/gentoo ftp://ftp.flashnet.it/mirror/12/sunsite.unc.edu/Gentoo http://ibiblio.org/pub/Linux/ftp.edisontel.com/pub/Sunsite_Mirror http://sunsite.cnlab-switch.ch/ftp/mirror/gentoo ftp://sunsite.cnlab-switch.ch/mirror/gentoo http://www.ibiblio.org/pub/Linux/distributions/gentoo http://gentoo.oregonstate.edu "
CONFIG_PROTECT="/etc /var/qmail/control /usr/kde/2/share/config /usr/kde/3/share/config /usr/X11R6/lib/X11/xkb /usr/kde/3.1/share/config /usr/share/config"
CONFIG_PROTECT_MASK="/etc/gconf /etc/env.d"
PORTDIR="/home/portdir"
DISTDIR="/home/portdir/distfiles"
PKGDIR="/home/portdir/packages"
PORTAGE_TMPDIR="/home"
PORTDIR_OVERLAY=""
USE="oss 3dnow foomaticdb gnome mad mikmod aalib tcltk guile ruby sdl perl gtk qt x86 acpi acl alsa apm avi berkdb bonobo cdr crypt cups directfb dga dvd encode gdbm gif gpm fbcon krb4 kerberos imlib java jpeg gtk2 gtkhtml ldap libg++ libwww miknod mmx motif mozilla mpeg ncurses nls oggvorbis opengl pam pdflib png pnp python quicktime radeon readline samba slang spell sse ssl svga tcpd truetype usb X xml2 xmms xv zlib kde arts -esd"
COMPILER="gcc3"
CHOST="i686-pc-linux-gnu"
CFLAGS="-march=pentium3 -mfpmath=sse -O2 -pipe -fomit-frame-pointer -mmmx -msse -falign-functions=4 -fforce-addr"
CXXFLAGS="-march=pentium3 -mfpmath=sse -O2 -pipe -fomit-frame-pointer -mmmx -msse -falign-functions=4 -fforce-addr"
ACCEPT_KEYWORDS="x86 ~x86"
MAKEOPTS="-j2"
AUTOCLEAN="yes"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
FEATURES="sandbox ccache"
Comment 7 Mr. Bones. (RETIRED) gentoo-dev 2003-07-23 14:50:54 UTC
Try it with just 

CFLAGS="-march=pentium3 -O2 -pipe"
CXXFLAGS="-march=pentium3 -O2 -pipe"

and see if that works please.
Comment 8 Andrea Cerrito 2003-07-23 15:02:24 UTC
Same.

g++ -O3 -march=pentium3 -O2 -pipe -DX86_ASM -DGCC_X86_ASM -fomit-frame-pointer -fexpensive-optimizations -funroll-loops `sdl-config --cflags` -DUNIX -DLINUX -DNATIVE_CPU_X86 -DMMX_RGB2YUV -Wall -Winline -c nes_6502.cpp -o nes_6502.o
nes_6502.cpp:47: warning: initialization of negative value `-1' to `uint32'
nes_6502.cpp:47: warning: argument of negative value `-1' to `unsigned int'
nes_6502.cpp:47: warning: initialization of negative value `-1' to `uint32'
nes_6502.cpp:47: warning: argument of negative value `-1' to `unsigned int'
nes_6502.cpp:53: warning: initialization of negative value `-1' to `uint32'
nes_6502.cpp:53: warning: argument of negative value `-1' to `unsigned int'
nes_6502.cpp:53: warning: initialization of negative value `-1' to `uint32'
nes_6502.cpp:53: warning: argument of negative value `-1' to `unsigned int'
g++ -O3 -march=pentium3 -O2 -pipe -DX86_ASM -DGCC_X86_ASM -fomit-frame-pointer -fexpensive-optimizations -funroll-loops `sdl-config --cflags` -DUNIX -DLINUX -DNATIVE_CPU_X86 -DMMX_RGB2YUV -Wall -Winline -c cop.cpp -o cop.o
g++ -O3 -march=pentium3 -O2 -pipe -DX86_ASM -DGCC_X86_ASM -fomit-frame-pointer -fexpensive-optimizations -funroll-loops `sdl-config --cflags` -DUNIX -DLINUX -DNATIVE_CPU_X86 -DMMX_RGB2YUV -Wall -Winline -c copintf.cpp -o copintf.o
{standard input}: Assembler messages:
{standard input}:12940: Error: bad register name `%sil'
{standard input}:19036: Error: bad register name `%sil'
{standard input}:19079: Error: bad register name `%sil'
{standard input}:27969: Error: bad register name `%sil'
{standard input}:33635: Error: bad register name `%sil'
{standard input}:33680: Error: bad register name `%sil'
make[1]: *** [m80.o] Error 1
make[1]: Leaving directory `/home/portage/daphne-0.99.6/work/daphne/src/cpu'
make: *** [sub] Error 2

!!! ERROR: app-emulation/daphne-0.99.6 failed.
!!! Function src_compile, Line 41, Exitcode 2
!!! src build failed
Comment 9 SpanKY gentoo-dev 2003-07-23 15:42:18 UTC
do it with just CFLAGS=-pipe and CXXFLAGS=-pipe 
Comment 10 SpanKY gentoo-dev 2003-07-23 15:58:11 UTC
it appears to be a bug with march=p3 ... it works just fine with march=p4 and 
march=i686, but failed on my box with p3 :/ 
 
ill replace flags in the ebuild to change the p3 into a i686 
Comment 11 SpanKY gentoo-dev 2003-07-23 16:10:35 UTC
i guess march=i686 fails too ! 
 
i586 and pentium4 work fine, so ill filter p3/686 down to 586 :/ 
Comment 12 SpanKY gentoo-dev 2003-07-23 16:41:15 UTC
ok, those flags are now filtered 
Comment 13 Montag 2004-08-07 12:34:37 UTC
The ebuild in portage (daphne-0.99.6-r2) doesn't filter i686/pentium3 flags.
You have to manually add the following to it:
replace-flags -march=i686 -march=i586
replace-flags -march=pentium3 -march=i586
Comment 14 SpanKY gentoo-dev 2004-08-20 21:29:49 UTC
fixed in cvs